Bug 104538 - up2date behaves oddly when offering to update itself if install is not chosen
up2date behaves oddly when offering to update itself if install is not chosen
Product: Red Hat Linux Beta
Classification: Retired
Component: up2date (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Fanny Augustin
Depends On:
Blocks: CambridgeTarget
  Show dependency treegraph
Reported: 2003-09-16 17:41 EDT by Jay Berkenbilt
Modified: 2007-04-18 12:57 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-09-17 15:03:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jay Berkenbilt 2003-09-16 17:41:28 EDT
Description of problem:

If up2date sees a newer version of itself, it offers to update itself and then
restart.  If you have up2date configured to download packages but not install
them, up2date still tries to restart itself even though it hasn't really
installed anything.

Version-Release number of selected component (if applicable):

uh oh.... I already manually updated up2date and didn't record my previous
version.  I just updated to 3.9.28-2.  I don't remember what was there before,
but I had updated up2date once manually from rawhide since installing SEVERN
after the certificate had expired.

How reproducible:


Steps to Reproduce:
1. configure up2date with up2date-config to download packages but not install them
2. run an old version of up2date that supports updating itself
Actual results:

Upon user answering "yes" to question about whether up2date should update itself
and restart, up2date downloaded the new up2date, didn't install it, and then
tried to restart.  The restart failed.

warning: rpmts_HdrFromFdno: V3 DSA signature: NOKEY, key ID 897da07a
warning: rpmts_HdrFromFdno: V3 DSA signature: NOKEY, key ID e418e3aa
Restarting up2date

_X11TransSocketOpen: socket() failed for local
_X11TransSocketOpenCOTSClient: Unable to open socket for local
_X11TransOpen: transport open failed for local/soup.in.ql.org:0
No interactive mode available
Please specify either -l, -u, --nox, or package names as command line arguments.
usage: up2date [OPTIONS] [<packages>]
[... up2date usage message deleted ...]

Expected results:

Either up2date should have not offered to update itself but installed told the
user to install the updated up2date package or it should have interpreted the
"yes" as an instruction to override the configured behavior of download without
updating.  I don't think "Let's not and say we did" approach is a good alternative.

Additional info:

Although I am mentioning that up2date failed to restart, this is not the main
point of the bug report.  That seems to have already been reported elsewhere
(based on my query) though the problem I'm reporting: specific interaction
between up2date configured in download-only mode and offering to update itself,
seems not to have been previously reported (or I missed it in my query).
Comment 1 Adrian Likins 2003-09-17 15:03:04 EDT
should be fixed in 3.9.28 or later

Note You need to log in before you can comment on or make changes to this bug.